#include <iostream>
using namespace std;

typedef long long int LL;

const int N_max=110;
LL a[N_max];

LL gcd(LL a, LL b)
 {
     if (b == 0) return a;
     return gcd(b, a % b);
 }

LL Lcm(int n)
 {
   LL r = a[1];

  for (int i = 2; i <= n; i++)
    r = a[i] * r/gcd(a[i], r);
  return r;
 }

void solve()
{
  int n,m; cin >> n >> m;
  for (int i=1;i <= n; i++) cin >> a[i];

  LL p=Lcm(n);


  for(int i=1;i<=n;i++)
  {
    LL k=p/a[i];
	LL d=2;

	while(k>1)
	{
	 if(d>=m) {cout << 0; return;}
     while(k%d==0) k=k/d;
	 d++;
	}
  }

  cout << 1;
}


int main()
{
    std::ios_base :: sync_with_stdio(0);
    std::cout.tie(nullptr);
    std::cin.tie(nullptr);

    int Q; cin >> Q;
    for(int i=1; i<=Q; i++) solve();
    cout << endl;
}
